Options (API documentation of hlt.language packages)
Date: 2013-01-30

hlt.language.syntax

## Class Options

- java.lang.Object
- - hlt.language.syntax.Options

-     public final class Options
      extends java.lang.Object

  This class centralizes all the options that are properties of a given grammar. That is, it defines a property's name, its default value, as well as its accesser and modifier methods.
  Version:
    Last modified on Sat Oct 13 01:45:58 2012 by hak
  Author:
    Hassan Aït-Kaci
  Copyright:
    © by the author

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Options()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static boolean` | `allowChoiceActions()`
    `static boolean` | `copyResourceFiles()`
    `static java.lang.String` | `destination()`
    `static int` | `getChoiceHistory()`
    `static boolean` | `getDocOnly()`
    `static java.io.PrintStream` | `getErrStream()`
    `static java.lang.String` | `getGenDate()`
    `static java.lang.String` | `getGrammarName()` The name of the grammar's file.
    `static java.lang.String` | `getGrammarPathedName()`
    `static java.lang.String` | `getGrammarPrefix()`
    `static java.lang.String` | `getGrammarSuffix()`
    `static int` | `getInitMethodSize()`
    `static boolean` | `getNoParser()`
    `static java.io.PrintStream` | `getOutStream()`
    `static java.lang.String` | `getParserPrefix()`
    `static boolean` | `getPermissible()`
    `static java.lang.String` | `getResourcesPath()`
    `static java.lang.String` | `getSeparator()`
    `static int` | `getTrailHistory()`
    `static int` | `getVerbosity()`
    `static java.lang.String` | `getVersion()`
    `static java.lang.String` | `includeBase()`
    `static boolean` | `resolveRRsWithPrecedence()`
    `static void` | `setAllowChoiceActions(boolean p)`
    `static void` | `setChoiceHistory(int size)`
    `static void` | `setCopyResourceFiles(boolean flag)`
    `static void` | `setDestination(java.lang.String dest)`
    `static void` | `setDocOnly(boolean flag)`
    `static void` | `setErrStream(java.io.PrintStream e)`
    `static java.lang.String` | `setGenDate()`
    `static void` | `setGrammarPathedName(java.lang.String path)`
    `static void` | `setGrammarPrefix(java.lang.String g)`
    `static void` | `setGrammarSuffix(java.lang.String e)`
    `static void` | `setIncludeBase(java.lang.String base)`
    `static void` | `setInitMethodSize(int size)`
    `static void` | `setNoParser(boolean flag)`
    `static void` | `setOutStream(java.io.PrintStream o)`
    `static void` | `setParserPrefix(java.lang.String str)`
    `static void` | `setPermissible(boolean p)`
    `static void` | `setResolveRRsWithPrecedence(boolean p)`
    `static java.lang.String` | `setResourcesPath(java.lang.String path)`
    `static void` | `setSeparator(java.lang.String s)`
    `static void` | `setTrailHistory(int size)`
    `static void` | `setVerbosity(int v)`
    `static void` | `setVersion(java.lang.String version)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Options

          public Options()

  - ### Method Detail

    - #### getResourcesPath

          public static final java.lang.String getResourcesPath()

    - #### setResourcesPath

          public static final java.lang.String setResourcesPath(java.lang.String path)

    - #### getGenDate

          public static final java.lang.String getGenDate()

    - #### setGenDate

          public static final java.lang.String setGenDate()

    - #### getVersion

          public static final java.lang.String getVersion()

    - #### setVersion

          public static final void setVersion(java.lang.String version)

    - #### getInitMethodSize

          public static final int getInitMethodSize()

    - #### setInitMethodSize

          public static final void setInitMethodSize(int size)

    - #### getOutStream

          public static final java.io.PrintStream getOutStream()

    - #### setOutStream

          public static final void setOutStream(java.io.PrintStream o)

    - #### getErrStream

          public static final java.io.PrintStream getErrStream()

    - #### setErrStream

          public static final void setErrStream(java.io.PrintStream e)

    - #### getVerbosity

          public static final int getVerbosity()

    - #### setVerbosity

          public static final void setVerbosity(int v)

    - #### getSeparator

          public static final java.lang.String getSeparator()

    - #### setSeparator

          public static final void setSeparator(java.lang.String s)

    - #### getGrammarPathedName

          public static final java.lang.String getGrammarPathedName()

    - #### setGrammarPathedName

          public static final void setGrammarPathedName(java.lang.String path)

    - #### getGrammarPrefix

          public static final java.lang.String getGrammarPrefix()

    - #### setGrammarPrefix

          public static final void setGrammarPrefix(java.lang.String g)

    - #### getGrammarSuffix

          public static final java.lang.String getGrammarSuffix()

    - #### setGrammarSuffix

          public static final void setGrammarSuffix(java.lang.String e)

    - #### getGrammarName

          public static final java.lang.String getGrammarName()

      The name of the grammar's file.

    - #### setIncludeBase

          public static final void setIncludeBase(java.lang.String base)

    - #### includeBase

          public static final java.lang.String includeBase()

    - #### setDestination

          public static final void setDestination(java.lang.String dest)

    - #### destination

          public static final java.lang.String destination()

    - #### getParserPrefix

          public static final java.lang.String getParserPrefix()

    - #### setParserPrefix

          public static final void setParserPrefix(java.lang.String str)

    - #### getNoParser

          public static boolean getNoParser()

    - #### setNoParser

          public static final void setNoParser(boolean flag)

    - #### getDocOnly

          public static boolean getDocOnly()

    - #### setDocOnly

          public static final void setDocOnly(boolean flag)

    - #### copyResourceFiles

          public static boolean copyResourceFiles()

    - #### setCopyResourceFiles

          public static final void setCopyResourceFiles(boolean flag)

    - #### getPermissible

          public static final boolean getPermissible()

    - #### setPermissible

          public static final void setPermissible(boolean p)

    - #### resolveRRsWithPrecedence

          public static final boolean resolveRRsWithPrecedence()

    - #### setResolveRRsWithPrecedence

          public static final void setResolveRRsWithPrecedence(boolean p)

    - #### allowChoiceActions

          public static final boolean allowChoiceActions()

    - #### setAllowChoiceActions

          public static final void setAllowChoiceActions(boolean p)

    - #### setChoiceHistory

          public static final void setChoiceHistory(int size)

    - #### getChoiceHistory

          public static final int getChoiceHistory()

    - #### setTrailHistory

          public static final void setTrailHistory(int size)

    - #### getTrailHistory

          public static final int getTrailHistory()